# Class HttpMirrorServer

java.lang.Object
java.lang.Thread
org.apache.jmeter.protocol.http.control.HttpMirrorServer

All Implemented Interfaces:
  `Runnable, Stoppable`

public class HttpMirrorServer extends Thread implements Stoppable
Server daemon thread. Creates main socket and listens on it. For each client request, creates a thread to handle the request.

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`HttpMirrorServer(int port)`
Create a new Daemon with the specified port and target.
`HttpMirrorServer(int port, int maxThreadPoolSize, int maxQueueSize)`
Create a new Daemon with the specified port and target.

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getException()`
`static void`
`main(String[] args)`
`void`
`run()`
Listen on the daemon port and handle incoming requests.
`void`
`stopServer()`
Stop server

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpMirrorServer

public HttpMirrorServer(int port)
Create a new Daemon with the specified port and target.

Parameters:
  `port` - the port to listen on.

### HttpMirrorServer

public HttpMirrorServer(int port, int maxThreadPoolSize, int maxQueueSize)
Create a new Daemon with the specified port and target.

Parameters:
  `port` - the port to listen on.
  `maxThreadPoolSize` - Max Thread pool size
  `maxQueueSize` - Max Queue size

## Method Details

### run

public void run()
Listen on the daemon port and handle incoming requests. This method will not exit until `stopServer()` is called or an error occurs.

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### stopServer

public void stopServer()
Description copied from interface: `Stoppable`
Stop server

Specified by:
  `stopServer` in interface `Stoppable`

### getException

public Exception getException()

### main

public static void main(String[] args)